From d36d12ff99d2a4885edfe972ed1e9e1a78d55ff1 Mon Sep 17 00:00:00 2001
Message-Id: <d36d12ff99d2a4885edfe972ed1e9e1a78d55ff1.1715808038.git.spencer.king@geneoscopy.com>
From: Spencer King <spencer.king@geneoscopy.com>
Date: Wed, 15 May 2024 21:19:17 +0000
Subject: [PATCH] gnu: Add r-shinydisconnect.

* gnu/packages/cran.scm (r-shinydisconnect): New variable.

Change-Id: Ic25af488e1fe18e513838f146d1b16f73302abf9
---
 gnu/packages/cran.scm | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/gnu/packages/cran.scm b/gnu/packages/cran.scm
index 73098ba11e..0e410e615c 100644
--- a/gnu/packages/cran.scm
+++ b/gnu/packages/cran.scm
@@ -5424,6 +5424,32 @@ (define-public r-shiny
 responsive, and powerful applications with minimal effort.")
     (license license:artistic2.0)))
 
+(define-public r-shinydisconnect
+  (package
+    (name "r-shinydisconnect")
+    (version "0.1.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (cran-uri "shinydisconnect" version))
+       (sha256
+        (base32 "1yhppfx8jpvz48iwxnimcwqhj02vqjrfmh4z5rdn9d35p51c8zjc"))))
+    (properties `((upstream-name . "shinydisconnect")))
+    (build-system r-build-system)
+    (propagated-inputs (list r-checkmate r-glue r-htmltools r-shiny))
+    (home-page "https://github.com/daattali/shinydisconnect")
+    (synopsis "Show a Nice Message When a 'Shiny' App Disconnects or Errors")
+    (description
+     "This package provides a Shiny app that can disconnect for a variety of
+reasons: an unrecoverable error occurred in the app, the server went down,
+the user lost internet connection, or any other reason that might cause the
+Shiny app to lose connection to its server.  With shinydisconnect', you can call
+@code{disonnectMessage}() anywhere in a Shiny app's UI to add a nice message
+when this happens.  Works locally (running Shiny apps within RStudio') and on
+Shiny servers (such as shinyapps.io, RStudio Connect', Shiny Server Open
+Source', Shiny Server Pro').")
+    (license license:expat)))
+
 (define-public r-shinyhelper
   (package
     (name "r-shinyhelper")

base-commit: bc6742e168f4af9d6479e00f482998b03653787a
-- 
2.34.1

